Last-Modified: Tue, 25 Feb 2025 06:00:13 GMT
Expires: Fri, 23 Feb 2035 06:00:13 GMT
ETag: "fb01b6bd428689c82738d77b3bdc282a84fd2183"

<html><head><title>/package/udev/files/</title></head>
<body>
<h2>/package/udev/files/</h2>
<ul>
<li><a href='/cgit/openwrt/upstream/plain/package/udev/?h=v14.07&amp;id=5de588bcb8289e22d5f88a5fdad92076cd2e2cb2'>../</a></li>
  <li><a href='/cgit/openwrt/upstream/plain/package/udev/files/20-input-grouping.rules?h=v14.07&amp;id=5de588bcb8289e22d5f88a5fdad92076cd2e2cb2'>20-input-grouping.rules</a></li>
 </ul>
</body></html>
'vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='openwrt/upstream' href='/cgit/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f24a7c7a68902ef157d8caa7b950a20874b95081'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master' selected='selected'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/openwrt/upstream/about/?h=less-old-master'>about</a><a href='/cgit/openwrt/upstream/?h=less-old-master'>summary</a><a href='/cgit/openwrt/upstream/refs/?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>refs</a><a href='/cgit/openwrt/upstream/log/Config.in?h=less-old-master'>log</a><a class='active' href='/cgit/openwrt/upstream/tree/Config.in?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>tree</a><a href='/cgit/openwrt/upstream/commit/Config.in?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>commit</a><a href='/cgit/openwrt/upstream/diff/Config.in?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>diff</a><a href='/cgit/openwrt/upstream/stats/Config.in?h=less-old-master'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/openwrt/upstream/log/Config.in'>
<input type='hidden' name='h' value='less-old-master'/><input type='hidden' name='id' value='f24a7c7a68902ef157d8caa7b950a20874b95081'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/upstream/tree/?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>root</a>/<a href='/cgit/openwrt/upstream/tree/Config.in?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>Config.in</a></div><div class='content'>blob: 4d75896d8dd931d9fc679fc5afa8178651310fec (<a href='/cgit/openwrt/upstream/plain/Config.in?h=less-old-master&amp;id=f24a7c7a68902ef157d8caa7b950a20874b95081'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1"># Copyright (C) 2006-2007 OpenWrt.org</span>
<span class="c1">#</span>
<span class="c1"># This is free software, licensed under the GNU General Public License v2.</span>
<span class="c1"># See /LICENSE for more information.</span>
<span class="c1">#</span>

<span class="k">mainmenu</span> <span class="s2">&quot;OpenWrt Configuration&quot;</span>

<span class="k">config</span> HAVE_DOT_CONFIG
	<span class="nb">bool</span>
	<span class="k">default</span> y

<span class="k">source</span> <span class="s2">&quot;target/Config.in&quot;</span>

<span class="k">menu</span> <span class="s2">&quot;Target Images&quot;</span>
	<span class="k">config</span> TARGET_ROOTFS_INITRAMFS
		<span class="nb">bool</span> <span class="s2">&quot;ramdisk&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_INITRAMFS
		depends LINUX_2_6
		<span class="k">help</span>
<span class="sd">		  Embed the rootfs into the kernel (initramfs)</span>

	<span class="k">config</span> TARGET_ROOTFS_JFFS2
		<span class="nb">bool</span> <span class="s2">&quot;jffs2&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_JFFS2
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a jffs2 root filesystem</span>

	<span class="k">config</span> TARGET_ROOTFS_SQUASHFS
		<span class="nb">bool</span> <span class="s2">&quot;squashfs&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_SQUASHFS
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a squashfs-lzma root filesystem</span>

	<span class="k">config</span> TARGET_ROOTFS_TGZ
		<span class="nb">bool</span> <span class="s2">&quot;tgz&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_TGZ
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a compressed tar archive of the the root filesystem</span>
<span class="sd">		  </span>
	<span class="k">config</span> TARGET_ROOTFS_CPIOGZ
		<span class="nb">bool</span> <span class="s2">&quot;cpiogz&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_CPIOGZ
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Build a compressed cpio archive of the the root filesystem</span>
<span class="sd">		  </span>
	<span class="k">config</span> TARGET_ROOTFS_EXT2FS
		<span class="nb">bool</span> <span class="s2">&quot;ext2&quot;</span>
		<span class="k">default</span> y <span class="k">if</span> USES_EXT2
		depends <span class="o">!</span>TARGET_ROOTFS_INITRAMFS
		<span class="k">help</span>
<span class="sd">		  Ext2 file system with some free space for uml images</span>

	<span class="k">config</span> TARGET_ROOTFS_ISO 
		<span class="nb">bool</span> <span class="s2">&quot;iso&quot;</span> 
		<span class="k">default</span> n 
		depends TARGET_ROOTFS_INITRAMFS <span class="o">&amp;&amp;</span> TARGET_x86 
		<span class="k">help </span>
<span class="sd">		  Create some bootable ISO image </span>

<span class="k">comment</span> <span class="s2">&quot;Image Options&quot;</span>

<span class="k">source</span> <span class="s2">&quot;target/linux/*/image/Config.in&quot;</span>

    <span class="k">config</span> TARGET_ROOTFS_FSPART
        <span class="nb">int</span> <span class="s2">&quot;Filesystem part size (in MB)&quot;</span>
        depends X86_GRUB_IMAGES <span class="o">||</span> TARGET_ROOTFS_EXT2FS <span class="o">||</span> TARGET_rb532 <span class="o">||</span> TARGET_olpc
        <span class="k">default</span> <span class="mi">48</span>
        <span class="k">help</span>
<span class="sd">            Allows you to change the filesystem partition size</span>

    <span class="k">config</span> TARGET_ROOTFS_MAXINODE
        <span class="nb">int</span> <span class="s2">&quot;Maximum number of inodes in filesystem&quot;</span>
        depends TARGET_ROOTFS_EXT2FS
        <span class="k">default</span> <span class="mi">6000</span>
        <span class="k">help</span>
<span class="sd">            Allows you to change the maximum number of inodes in the filesystem</span>

<span class="k">endmenu</span>

<span class="k">menu</span> <span class="s2">&quot;Global build settings&quot;</span>

<span class="k">config</span> ALL
	<span class="nb">bool</span> <span class="s2">&quot;Select all packages by default&quot;</span>
	<span class="k">default</span> n

<span class="k">comment</span> <span class="s2">&quot;Features&quot;</span>

<span class="k">config</span> CLEAN_IPKG
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Disable ipkg/opkg installation on the target&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This removes all ipkg data from the target directory before building the root fs</span>

<span class="k">comment</span> <span class="s2">&quot;Package build options&quot;</span>

<span class="k">config</span> DEBUG
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Compile packages with debugging info&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Disables stripping and adds -g3 to the CFLAGS</span>

<span class="k">config</span> DEBUG_DIR
	<span class="nb">bool</span> <span class="s2">&quot;Install debugging binaries into a staging directory&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This will install all compiled package binaries into build_dir/target-*/debug-*/,</span>
<span class="sd">		useful for cross-debugging via gdb/gdbserver</span>

<span class="k">config</span> NO_STRIP
	<span class="nb">bool</span> <span class="s2">&quot;Install unstripped binary on the target (useful for native compiling/debugging)&quot;</span>
	<span class="k">default</span> n

<span class="k">comment</span> <span class="s2">&quot;Kernel build options&quot;</span>

<span class="k">config</span> KERNEL_KALLSYMS
	<span class="nb">bool</span> <span class="s2">&quot;Compile the kernel with symbol table information&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		This will give you more information in stack traces from kernel oopses</span>
<span class="k">config</span> KERNEL_PROFILING
	<span class="nb">bool</span> <span class="s2">&quot;Compile the kernel with profiling enabled&quot;</span>
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Enable the extended profiling support mechanisms used by profilers such</span>
<span class="sd">		as OProfile.</span>

<span class="k">endmenu</span>

<span class="k">menuconfig</span> DEVEL
	<span class="nb">bool</span> <span class="s2">&quot;Advanced configuration options (for developers)&quot;</span>
	<span class="k">default</span> n
	<span class="k">select</span> TOOLCHAINOPTS <span class="k">if</span> <span class="o">!</span>NATIVE_TOOLCHAIN

<span class="k">config</span> BROKEN
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Show broken platforms / packages&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> n

<span class="k">config</span> DOWNLOAD_FOLDER
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Download folder&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>

<span class="k">config</span> LOCALMIRROR
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Local mirror for source packages&quot;</span> <span class="k">if</span> DEVEL

<span class="k">config</span> AUTOREBUILD
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Automatic rebuild of packages&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">		Automatically rebuild packages when their files change</span>

<span class="k">config</span> BUILD_SUFFIX
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Build suffix to append to the BUILD_DIR variable&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Build suffix to append to the BUILD_DIR variable, i.e: build_dir_suffix</span>

<span class="k">config</span> TARGET_ROOTFS_DIR
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Override the default TARGET_ROOTFS_DIR variable&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Override the default TARGET_ROOTFS_DIR variable content $(BUILD_DIR) with custom path.</span>
<span class="sd">		Use this option to re-define the location of the target root file system directory.</span>

<span class="k">config</span> CCACHE
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use ccache&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">		Compiler cache; see http://ccache.samba.org/</span>

<span class="k">config</span> EXTERNAL_KERNEL_TREE
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use external kernel tree&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>

<span class="k">config</span> KERNEL_GIT_CLONE_URI
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enter git repository to clone&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Enter the full git repository path i.e.:</span>
<span class="sd">		git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git</span>
<span class="sd">		This will create a git clone of the kernel in your build</span>
<span class="sd">		directory.</span>

<span class="k">config</span> KERNEL_GIT_LOCAL_REPOSITORY
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enter path to local reference repository&quot;</span> <span class="k">if</span> DEVEL
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">		Enter a full pathname to a local reference git repository.</span>
<span class="sd">		In this instance, the --refererence option of git clone will</span>
<span class="sd">		be used thus creating a quick local clone of your repo.</span>

<span class="k">source</span> <span class="s2">&quot;toolchain/Config.in&quot;</span>

<span class="k">source</span> <span class="s2">&quot;target/imagebuilder/Config.in&quot;</span>
<span class="k">source</span> <span class="s2">&quot;target/sdk/Config.in&quot;</span>

<span class="k">source</span> <span class="s2">&quot;tmp/.config-package.in&quot;</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-02-25 06:00:14 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
